### Constructor

# Gimp Palette new

since: 2.2

#### Declaration [src]

    GimpPalette*
    gimp_palette_new (
      const gchar* name
    )

#### Description [src]

Creates a new palette

Creates a new palette. The new palette has no color entries. You must add color entries for a user to choose. The actual name might be different than the requested name, when the requested name is already in use.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The requested name of the new palette.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpPalette`

The palette.

The data is owned by the called function.